Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class Bootstrap

    java.lang.Object
      org.apache.catalina.startup.Bootstrap

public final class Bootstrap
extends java.lang.Object

Boostrap loader for Catalina. This application constructs a class loader for use in loading the Catalina internal classes (by accumulating all of the JAR files found in the "server" directory under "catalina.home"), and starts the regular execution of the container. The purpose of this roundabout approach is to keep the Catalina internal classes (and any other classes they depend on, such as an XML parser) out of the system class path and therefore not visible to application level classes.

Version:
  $Revision: 1.14 $ $Date: 2003/11/19 18:18:51 $
Author:
  Craig R. McClanahan, Remy Maucherat

Field Summary
`protected static java.lang.String` | `CATALINA_BASE_TOKEN`
`protected static java.lang.String` | `CATALINA_HOME_TOKEN`
`protected java.lang.ClassLoader` | `catalinaLoader`
`protected java.lang.ClassLoader` | `commonLoader`
`protected int` | `debug` Debugging detail level for processing the startup.
`protected java.lang.ClassLoader` | `sharedLoader`

Constructor Summary
`Bootstrap()`

Method Summary
`void` | `destroy()` Destroy the Catalina Daemon.
`boolean` | `getAwait()`
`static java.lang.String` | `getCatalinaBase()` Get the value of the catalina.base environment variable.
`static java.lang.String` | `getCatalinaHome()` Get the value of the catalina.home environment variable.
`void` | `init()` Initialize daemon.
`void` | `init(java.lang.String[] arguments)` Load the Catalina daemon.
`protected static void` | `log(java.lang.String message)` Log a debugging detail message.
`protected static void` | `log(java.lang.String message, java.lang.Throwable exception)` Log a debugging detail message with an exception.
`static void` | `main(java.lang.String[] args)` Main method, used for testing only.
`void` | `setAwait(boolean await)` Set flag.
`void` | `setCatalinaBase(java.lang.String s)`
`void` | `setCatalinaHome(java.lang.String s)`
`void` | `start()` Start the Catalina daemon.
`void` | `stop()` Stop the Catalina Daemon.
`void` | `stopServer()` Stop the standlone server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALINA_HOME_TOKEN

    protected static final java.lang.String CATALINA_HOME_TOKEN

See Also:
  Constant Field Values

### CATALINA_BASE_TOKEN

    protected static final java.lang.String CATALINA_BASE_TOKEN

See Also:
  Constant Field Values

### debug

    protected int debug

  Debugging detail level for processing the startup.

### commonLoader

    protected java.lang.ClassLoader commonLoader

### catalinaLoader

    protected java.lang.ClassLoader catalinaLoader

### sharedLoader

    protected java.lang.ClassLoader sharedLoader

Constructor Detail

### Bootstrap

    public Bootstrap()

Method Detail

### init

    public void init()
              throws java.lang.Exception

  Initialize daemon.

  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String[] arguments)
              throws java.lang.Exception

  Load the Catalina daemon.

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the Catalina daemon.

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Stop the Catalina Daemon.

  Throws:
    `java.lang.Exception`

### stopServer

    public void stopServer()
                    throws java.lang.Exception

  Stop the standlone server.

  Throws:
    `java.lang.Exception`

### setAwait

    public void setAwait(boolean await)
                  throws java.lang.Exception

  Set flag.

  Throws:
    `java.lang.Exception`

### getAwait

    public boolean getAwait()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()

  Destroy the Catalina Daemon.

### main

    public static void main(java.lang.String[] args)

  Main method, used for testing only.

  Parameters:
    `args` - Command line arguments to be processed

### setCatalinaHome

    public void setCatalinaHome(java.lang.String s)

### setCatalinaBase

    public void setCatalinaBase(java.lang.String s)

### getCatalinaHome

    public static java.lang.String getCatalinaHome()

  Get the value of the catalina.home environment variable.

### getCatalinaBase

    public static java.lang.String getCatalinaBase()

  Get the value of the catalina.base environment variable.

### log

    protected static void log(java.lang.String message)

  Log a debugging detail message.

  Parameters:
    `message` - The message to be logged

### log

    protected static void log(java.lang.String message,
                              java.lang.Throwable exception)

  Log a debugging detail message with an exception.

  Parameters:
    `message` - The message to be logged
    `exception` - The exception to be logged

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.